Skip to main content
POST
/
v1
/
file-upload
/
ingest
Upload a CSV file for ingestion
curl --request POST \
  --url https://api.example.com/v1/file-upload/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>' \
  --form 'slug=<string>'
{
  "s3_bucket": "<string>",
  "s3_key": "<string>",
  "slug": "<string>",
  "original_filename": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "network_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "attestation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "source": "frontend",
  "file_format": "<string>",
  "content_type": "<string>",
  "declared_byte_size": 123,
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
string
required
slug
string
required

Response

Successful Response

s3_bucket
string
required
s3_key
string
required
slug
string
required
original_filename
string
required
created_at
string<date-time> | null
updated_at
string<date-time> | null
id
string<uuid>
entity_id
string<uuid> | null
account_id
string<uuid> | null
product_id
string<uuid> | null
network_id
string<uuid> | null
attestation_id
string<uuid> | null
status
string
default:pending
source
string
default:frontend
file_format
string | null
content_type
string | null
declared_byte_size
integer | null
expires_at
string<date-time> | null